Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-lf-2508.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-lf-2508.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-lf-2508.exp
@@ -343,232 +343,231 @@
   </synapse>
   <synapse id="24" priority="3">
     <action_set>
-      <rsc_op id="110" operation="monitor" operation_key="prmStonith3-3:1_monitor_3600000" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb">
+      <rsc_op id="111" operation="monitor" operation_key="prmStonith3-3:1_monitor_3600000" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb">
         <primitive id="prmStonith3-3" long-id="prmStonith3-3:1" class="stonith" type="external/ssh"/>
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="3600000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb" CRM_meta_timeout="60000"  hostlist="srv03" priority="3" stonith-timeout="60s"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="109" operation="start" operation_key="prmStonith3-3:1_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb"/>
+        <rsc_op id="110" operation="start" operation_key="prmStonith3-3:1_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="25" priority="3">
     <action_set>
-      <rsc_op id="109" operation="start" operation_key="prmStonith3-3:1_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb">
+      <rsc_op id="110" operation="start" operation_key="prmStonith3-3:1_start_0" on_node="srv01" on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb">
         <primitive id="prmStonith3-3" long-id="prmStonith3-3:1" class="stonith" type="external/ssh"/>
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="e2bc05d5-2a0f-4e2e-8566-bd1000f1cfeb" CRM_meta_timeout="60000"  hostlist="srv03" priority="3" stonith-timeout="60s"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="18" operation="all_stopped" operation_key="all_stopped"/>
+        <pseudo_event id="19" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <pseudo_event id="111" operation="start" operation_key="grpStonith3:1_start_0"/>
+        <pseudo_event id="112" operation="start" operation_key="grpStonith3:1_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="26" priority="1000000">
     <action_set>
-      <pseudo_event id="130" operation="stopped" operation_key="clnStonith3_stopped_0">
+      <pseudo_event id="131" operation="stopped" operation_key="clnStonith3_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="105" operation="stopped" operation_key="grpStonith3:0_stopped_0"/>
+        <pseudo_event id="106" operation="stopped" operation_key="grpStonith3:0_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="129" operation="stop" operation_key="clnStonith3_stop_0"/>
+        <pseudo_event id="130" operation="stop" operation_key="clnStonith3_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="27">
     <action_set>
-      <pseudo_event id="129" operation="stop" operation_key="clnStonith3_stop_0">
+      <pseudo_event id="130" operation="stop" operation_key="clnStonith3_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="28" priority="1000000">
     <action_set>
-      <pseudo_event id="128" operation="running" operation_key="clnStonith3_running_0">
+      <pseudo_event id="129" operation="running" operation_key="clnStonith3_running_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="112" operation="running" operation_key="grpStonith3:1_running_0"/>
+        <pseudo_event id="113" operation="running" operation_key="grpStonith3:1_running_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="127" operation="start" operation_key="clnStonith3_start_0"/>
+        <pseudo_event id="128" operation="start" operation_key="clnStonith3_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="29">
     <action_set>
-      <pseudo_event id="127" operation="start" operation_key="clnStonith3_start_0">
+      <pseudo_event id="128" operation="start" operation_key="clnStonith3_start_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="130" operation="stopped" operation_key="clnStonith3_stopped_0"/>
+        <pseudo_event id="131" operation="stopped" operation_key="clnStonith3_stopped_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="30">
     <action_set>
-      <pseudo_event id="144" operation="stopped" operation_key="grpStonith4:1_stopped_0">
+      <pseudo_event id="145" operation="stopped" operation_key="grpStonith4:1_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="139" operation="stop" operation_key="prmStonith4-1:1_stop_0"/>
+        <pseudo_event id="140" operation="stop" operation_key="prmStonith4-1:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="140" operation="stop" operation_key="prmStonith4-3:1_stop_0"/>
+        <pseudo_event id="141" operation="stop" operation_key="prmStonith4-3:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="143" operation="stop" operation_key="grpStonith4:1_stop_0"/>
+        <pseudo_event id="144" operation="stop" operation_key="grpStonith4:1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="31">
     <action_set>
-      <pseudo_event id="143" operation="stop" operation_key="grpStonith4:1_stop_0">
+      <pseudo_event id="144" operation="stop" operation_key="grpStonith4:1_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="159" operation="stop" operation_key="clnStonith4_stop_0"/>
+        <pseudo_event id="160" operation="stop" operation_key="clnStonith4_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="32" priority="1">
     <action_set>
-      <pseudo_event id="139" operation="stop" operation_key="prmStonith4-1:1_stop_0">
+      <pseudo_event id="140" operation="stop" operation_key="prmStonith4-1:1_stop_0">
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="60000"  dead_check_target="192.168.40.40" hostlist="srv04" priority="1" run_quorum_check="yes" run_standby_wait="no" stonith-timeout="60s"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="140" operation="stop" operation_key="prmStonith4-3:1_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
       <trigger>
-        <pseudo_event id="143" operation="stop" operation_key="grpStonith4:1_stop_0"/>
+        <pseudo_event id="141" operation="stop" operation_key="prmStonith4-3:1_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <pseudo_event id="144" operation="stop" operation_key="grpStonith4:1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="33" priority="3">
     <action_set>
-      <pseudo_event id="140" operation="stop" operation_key="prmStonith4-3:1_stop_0">
+      <pseudo_event id="141" operation="stop" operation_key="prmStonith4-3:1_stop_0">
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="60000"  hostlist="srv04" priority="3" stonith-timeout="60s"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="143" operation="stop" operation_key="grpStonith4:1_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <pseudo_event id="144" operation="stop" operation_key="grpStonith4:1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="34" priority="1000000">
     <action_set>
-      <pseudo_event id="160" operation="stopped" operation_key="clnStonith4_stopped_0">
+      <pseudo_event id="161" operation="stopped" operation_key="clnStonith4_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="144" operation="stopped" operation_key="grpStonith4:1_stopped_0"/>
+        <pseudo_event id="145" operation="stopped" operation_key="grpStonith4:1_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="159" operation="stop" operation_key="clnStonith4_stop_0"/>
+        <pseudo_event id="160" operation="stop" operation_key="clnStonith4_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="35">
     <action_set>
-      <pseudo_event id="159" operation="stop" operation_key="clnStonith4_stop_0">
+      <pseudo_event id="160" operation="stop" operation_key="clnStonith4_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="36">
     <action_set>
-      <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182">
-        <attributes CRM_meta_on_node="srv02" CRM_meta_on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182" CRM_meta_probe_complete="true" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="37">
-    <action_set>
-      <pseudo_event id="161" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="162" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="162" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="38">
+  <synapse id="37">
     <action_set>
-      <pseudo_event id="18" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="19" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="25" operation="stop" operation_key="Dummy02_stop_0"/>
+        <pseudo_event id="26" operation="stop" operation_key="Dummy02_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="46" operation="stop" operation_key="prmStonith1-1:1_stop_0"/>
+        <pseudo_event id="47" operation="stop" operation_key="prmStonith1-1:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="47" operation="stop" operation_key="prmStonith1-3:1_stop_0"/>
+        <pseudo_event id="48" operation="stop" operation_key="prmStonith1-3:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="100" operation="stop" operation_key="prmStonith3-1:1_stop_0" internal_operation_key="prmStonith3-1:0_stop_0"/>
+        <pseudo_event id="101" operation="stop" operation_key="prmStonith3-1:1_stop_0" internal_operation_key="prmStonith3-1:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="101" operation="stop" operation_key="prmStonith3-3:1_stop_0" internal_operation_key="prmStonith3-3:0_stop_0"/>
+        <pseudo_event id="102" operation="stop" operation_key="prmStonith3-3:1_stop_0" internal_operation_key="prmStonith3-3:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="139" operation="stop" operation_key="prmStonith4-1:1_stop_0"/>
+        <pseudo_event id="140" operation="stop" operation_key="prmStonith4-1:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="140" operation="stop" operation_key="prmStonith4-3:1_stop_0"/>
+        <pseudo_event id="141" operation="stop" operation_key="prmStonith4-3:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="161" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="162" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="38">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-srv02-reboot" on_node="srv02" on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182">
+        <attributes CRM_meta_on_node="srv02" CRM_meta_on_node_uuid="71085d5e-1c63-49e0-8c8c-400d610b4182" CRM_meta_probe_complete="true" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="71085d5e-1c63-49e0-8c8c-400d610b4182"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-lf-2551.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-lf-2551.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-lf-2551.exp
@@ -1,20 +1,20 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="159" operation="start" operation_key="fencing-sbd_start_0" on_node="hex-0" on_node_uuid="hex-0">
+      <rsc_op id="160" operation="start" operation_key="fencing-sbd_start_0" on_node="hex-0" on_node_uuid="hex-0">
         <primitive id="fencing-sbd" class="stonith" type="external/sbd"/>
         <attributes CRM_meta_on_node="hex-0" CRM_meta_on_node_uuid="hex-0" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  sbd_device="/dev/disk/by-id/dm-uuid-part1-mpath-3600508b400105b5a0001500000250000"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="158" operation="stop" operation_key="fencing-sbd_stop_0"/>
+        <pseudo_event id="159" operation="stop" operation_key="fencing-sbd_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <pseudo_event id="158" operation="stop" operation_key="fencing-sbd_stop_0">
+      <pseudo_event id="159" operation="stop" operation_key="fencing-sbd_stop_0">
         <attributes CRM_meta_record_pending="false" CRM_meta_timeout="240000"  sbd_device="/dev/disk/by-id/dm-uuid-part1-mpath-3600508b400105b5a0001500000250000"/>
       </pseudo_event>
     </action_set>
@@ -22,7 +22,7 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="164" operation="monitor" operation_key="dummy1_monitor_300000" on_node="hex-8" on_node_uuid="hex-8">
+      <rsc_op id="165" operation="monitor" operation_key="dummy1_monitor_300000" on_node="hex-8" on_node_uuid="hex-8">
         <primitive id="dummy1" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="300000" CRM_meta_name="monitor" CRM_meta_on_node="hex-8" CRM_meta_on_node_uuid="hex-8" CRM_meta_op_target_rc="7" CRM_meta_record_pending="false" CRM_meta_role="Stopped" CRM_meta_timeout="10000" />
       </rsc_op>
@@ -31,7 +31,7 @@
   </synapse>
   <synapse id="3">
     <action_set>
-      <rsc_op id="163" operation="monitor" operation_key="dummy1_monitor_300000" on_node="hex-7" on_node_uuid="hex-7">
+      <rsc_op id="164" operation="monitor" operation_key="dummy1_monitor_300000" on_node="hex-7" on_node_uuid="hex-7">
         <primitive id="dummy1" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="300000" CRM_meta_name="monitor" CRM_meta_on_node="hex-7" CRM_meta_on_node_uuid="hex-7" CRM_meta_op_target_rc="7" CRM_meta_record_pending="false" CRM_meta_role="Stopped" CRM_meta_timeout="10000" />
       </rsc_op>
